Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
OAEP_Base Class Reference

_ More...

`#include <oaep.h>`

Inheritance diagram for OAEP_Base:

List of all members.

## Public Member Functions

bool | ParameterSupported (const char *name) const
size_t | MaxUnpaddedLength (size_t paddedLength) const
| max size of unpadded message in bytes, given max size of padded message in bits (1 less than size of modulus)
void | Pad (RandomNumberGenerator &rng, const byte *raw, size_t inputLength, byte *padded, size_t paddedLength, const NameValuePairs &parameters) const
DecodingResult | Unpad (const byte *padded, size_t paddedLength, byte *raw, const NameValuePairs &parameters) const

## Protected Member Functions

virtual unsigned int | DigestSize () const =0
virtual HashTransformation * | NewHash () const =0
virtual MaskGeneratingFunction * | NewMGF () const =0

## Detailed Description

_

Definition at line 10 of file oaep.h.

The documentation for this class was generated from the following file:

- oaep.h